math::TOperandIter< NodeType > Class Template Reference

`#include <nodes.h>`

## Public Member Functions

| TOperandIter (NodeType *AOperator)
| TOperandIter (const TOperandIter< NodeType > &AProto)
NodeType & | operator* () const
NodeType * | operator-> () const
NodeType * | get () const
TOperandIter< NodeType > & | end () const
TOperandIter< NodeType > & | operator++ ()

## Detailed Description

### template<typename NodeType>
class math::TOperandIter< NodeType >

TOperandIter<> (use TNode<>::operand_iterator and const_operand_iterator) are designed to iterate the operands of an given expression. (e.g. all summands of an plus operation)

Definition at line 151 of file nodes.h.

The documentation for this class was generated from the following file:

- nodes.h